#############################################################################
# Makefile for building: choixdialog
# Generated by qmake (2.01a) (Qt 4.3.4) on: dim. 15. mars 19:56:26 2009
# Project:  choixdialog.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DUNICODE -DQT_LARGEFILE_SUPPORT -DQT_NEEDS_QMAIN -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_THREAD_SUPPORT
CFLAGS        = -O2 -Wall $(DEFINES)
CXXFLAGS      = -O2 -Wall -fno-exceptions -fno-rtti $(DEFINES)
INCPATH       = -I"f:\Qt\4.3.4\include\QtCore" -I"f:\Qt\4.3.4\include\QtCore" -I"f:\Qt\4.3.4\include\QtGui" -I"f:\Qt\4.3.4\include\QtGui" -I"f:\Qt\4.3.4\include\QtSql" -I"f:\Qt\4.3.4\include\QtSql" -I"f:\Qt\4.3.4\include" -I"f:\MySQL\include" -I"." -I"f:\Qt\4.3.4\include\ActiveQt" -I"tmp\moc\release_shared" -I"." -I"f:\Qt\4.3.4\mkspecs\win32-g++"
LINK        =        g++
LFLAGS        =        -enable-stdcall-fixup -Wl,-enable-auto-import -Wl,-enable-runtime-pseudo-reloc -Wl,-s -Wl,-subsystem,windows
LIBS        =        -L"f:\Documents" -L"and" -L"Settings\marjoxp\lib" -L"f:\Qt\4.3.4\lib" -lmingw32 -lqtmain -lQtSql4 -lQtGui4 -lQtCore4 -LF:\MySQL\lib\opt
QMAKE         = f:\Qt\4.3.4\bin\qmake.exe
IDC           = f:\Qt\4.3.4\bin\idc.exe
IDL           = midl
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
COPY_FILE     = $(COPY)
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR     = $(COPY_DIR)

####### Output directory

OBJECTS_DIR   = tmp\obj\release_shared

####### Files

SOURCES       = choixdialog.cpp \
		main.cpp \
		parametredialog.cpp \
		rafraichirdialog.cpp tmp\moc\release_shared\moc_choixdialog.cpp \
		tmp\moc\release_shared\moc_parametredialog.cpp \
		tmp\moc\release_shared\moc_rafraichirdialog.cpp
OBJECTS       = tmp/obj/release_shared/choixdialog.o \
		tmp/obj/release_shared/main.o \
		tmp/obj/release_shared/parametredialog.o \
		tmp/obj/release_shared/rafraichirdialog.o \
		tmp/obj/release_shared/moc_choixdialog.o \
		tmp/obj/release_shared/moc_parametredialog.o \
		tmp/obj/release_shared/moc_rafraichirdialog.o
DIST          = 
QMAKE_TARGET  = choixdialog
DESTDIR        = ..\bin\ #avoid trailing-slash linebreak
TARGET         = choixdialog.exe
DESTDIR_TARGET = ..\bin\choixdialog.exe

####### Implicit rules

.SUFFIXES: .cpp .cc .cxx .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

first: all
all: Makefile.Release  $(DESTDIR_TARGET)

$(DESTDIR_TARGET): ui_choixdialog.h ui_parametredialog.h ui_rafraichirdialog.h $(OBJECTS) 
	$(LINK) $(LFLAGS) -o $(DESTDIR_TARGET) $(OBJECTS)  $(LIBS)


qmake:  FORCE
	@$(QMAKE) -win32 -o Makefile.Release choixdialog.pro

dist:
	$(ZIP) choixdialog.zip $(SOURCES) $(DIST) choixdialog.pro f:\Qt\4.3.4\mkspecs\features\exclusive_builds.prf f:\Qt\4.3.4\mkspecs\features\default_pre.prf f:\Qt\4.3.4\mkspecs\features\win32\default_pre.prf ..\..\..\..\.qmake.cache f:\Qt\4.3.4\mkspecs\features\qt_functions.prf f:\Qt\4.3.4\mkspecs\features\qt_config.prf f:\Qt\4.3.4\mkspecs\features\release.prf f:\Qt\4.3.4\mkspecs\features\debug_and_release.prf f:\Qt\4.3.4\mkspecs\features\default_post.prf f:\Qt\4.3.4\mkspecs\features\build_pass.prf f:\Qt\4.3.4\mkspecs\features\win32\windows.prf f:\Qt\4.3.4\mkspecs\features\qt.prf f:\Qt\4.3.4\mkspecs\features\win32\thread.prf f:\Qt\4.3.4\mkspecs\features\moc.prf f:\Qt\4.3.4\mkspecs\features\warn_on.prf f:\Qt\4.3.4\mkspecs\features\win32\stl_off.prf f:\Qt\4.3.4\mkspecs\features\win32\exceptions_off.prf f:\Qt\4.3.4\mkspecs\features\win32\rtti_off.prf f:\Qt\4.3.4\mkspecs\features\resources.prf f:\Qt\4.3.4\mkspecs\features\uic.prf f:\Qt\4.3.4\mkspecs\features\yacc.prf f:\Qt\4.3.4\mkspecs\features\lex.prf f:\Qt\4.3.4\lib\qtmain.prl  HEADERS RESOURCES IMAGES SOURCES OBJECTIVE_SOURCES FORMS YACCSOURCES YACCSOURCES LEXSOURCES 

clean: compiler_clean 
	-$(DEL_FILE) tmp\obj\release_shared\choixdialog.o tmp\obj\release_shared\main.o tmp\obj\release_shared\parametredialog.o tmp\obj\release_shared\rafraichirdialog.o tmp\obj\release_shared\moc_choixdialog.o tmp\obj\release_shared\moc_parametredialog.o tmp\obj\release_shared\moc_rafraichirdialog.o

distclean: clean
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile.Release

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: tmp/moc/release_shared/moc_choixdialog.cpp tmp/moc/release_shared/moc_parametredialog.cpp tmp/moc/release_shared/moc_rafraichirdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) tmp\moc\release_shared\moc_choixdialog.cpp tmp\moc\release_shared\moc_parametredialog.cpp tmp\moc\release_shared\moc_rafraichirdialog.cpp
tmp/moc/release_shared/moc_choixdialog.cpp: ui_choixdialog.h \
		choixdialog.h
	F:/Qt/4.3.4/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 choixdialog.h -o tmp\moc\release_shared\moc_choixdialog.cpp

tmp/moc/release_shared/moc_parametredialog.cpp: ui_parametredialog.h \
		parametredialog.h
	F:/Qt/4.3.4/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 parametredialog.h -o tmp\moc\release_shared\moc_parametredialog.cpp

tmp/moc/release_shared/moc_rafraichirdialog.cpp: ui_rafraichirdialog.h \
		rafraichirdialog.h
	F:/Qt/4.3.4/bin\moc.exe $(DEFINES) $(INCPATH) -D__GNUC__ -DWIN32 rafraichirdialog.h -o tmp\moc\release_shared\moc_rafraichirdialog.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_choixdialog.h ui_parametredialog.h ui_rafraichirdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_choixdialog.h ui_parametredialog.h ui_rafraichirdialog.h
ui_choixdialog.h: choixdialog.ui
	f:\Qt\4.3.4\bin\uic.exe choixdialog.ui -o ui_choixdialog.h

ui_parametredialog.h: parametredialog.ui
	f:\Qt\4.3.4\bin\uic.exe parametredialog.ui -o ui_parametredialog.h

ui_rafraichirdialog.h: rafraichirdialog.ui
	f:\Qt\4.3.4\bin\uic.exe rafraichirdialog.ui -o ui_rafraichirdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 



####### Compile

tmp/obj/release_shared/choixdialog.o: choixdialog.cpp choixdialog.h \
		ui_choixdialog.h \
		parametredialog.h \
		ui_parametredialog.h \
		rafraichirdialog.h \
		ui_rafraichirdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\obj\release_shared\choixdialog.o choixdialog.cpp

tmp/obj/release_shared/main.o: main.cpp choixdialog.h \
		ui_choixdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\obj\release_shared\main.o main.cpp

tmp/obj/release_shared/parametredialog.o: parametredialog.cpp parametredialog.h \
		ui_parametredialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\obj\release_shared\parametredialog.o parametredialog.cpp

tmp/obj/release_shared/rafraichirdialog.o: rafraichirdialog.cpp rafraichirdialog.h \
		ui_rafraichirdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\obj\release_shared\rafraichirdialog.o rafraichirdialog.cpp

tmp/obj/release_shared/moc_choixdialog.o: tmp/moc/release_shared/moc_choixdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\obj\release_shared\moc_choixdialog.o tmp\moc\release_shared\moc_choixdialog.cpp

tmp/obj/release_shared/moc_parametredialog.o: tmp/moc/release_shared/moc_parametredialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\obj\release_shared\moc_parametredialog.o tmp\moc\release_shared\moc_parametredialog.cpp

tmp/obj/release_shared/moc_rafraichirdialog.o: tmp/moc/release_shared/moc_rafraichirdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tmp\obj\release_shared\moc_rafraichirdialog.o tmp\moc\release_shared\moc_rafraichirdialog.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

